Bug 449160 - javaws doesn't handle comments correctly in the XML
javaws doesn't handle comments correctly in the XML
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Joshua Sumali
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-30 15:53 EDT by Brian C. Huffman
Modified: 2008-06-09 16:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-09 16:25:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian C. Huffman 2008-05-30 15:53:43 EDT
Description of problem:
javaws doesn't handle comments correctly in the XML

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download EMC Networker's web console
2. It fails
Actual results:
It fails

Expected results:
It should run

Additional info:
Here's the XML code that it doesn't like:
<!-- $Id: gconsole.jnlp,v 1.14 2005/06/03 20:52:50 sjauhal Exp $ Copyright (c) 2
005, LEGATO Software, a division of EMC
-- All rights reserved.  This is an UNPUBLISHED work, and
-- comprises proprietary and confidential information of LEGATO.
-- Unauthorized use, disclosure, and distribution are strictly
-- prohibited.  Use, duplication, or disclosure of the software
-- and documentation by the U.S. Government is subject to
-- restrictions set forth in a license agreement between the
-- Government and LEGATO or other written agreement specifying
-- the Government's rights to use the software and any applicable
-- FAR provisions, such as FAR 52.227-19.

I get this when run from command line (omitting copious amounts of java errors):
Caused by: net.sourceforge.nanoxml.XMLParseException: XML Parse Exception during
parsing of the XML definition at line 3: Expected: >

It also doesn't like this:
<?xml version="1.0" encoding="utf-8"?>
<!-- JNLP File for GConsole Application -->
<!-- gstconfig bEgIn DO NOT ALTER THIS LINE -->

Doesn't like line 5 (<!-- gstconfig etc.):
net.sourceforge.nanoxml.XMLParseException: XML Parse Exception during parsing of
a jnlp element at line 5: Expected: =
Comment 1 Joshua Sumali 2008-06-02 10:15:23 EDT
Where can I find a copy of "EMC Networker's web console" ? I can't seem to
easily find one on Google to work with.
Comment 2 Joshua Sumali 2008-06-09 16:25:51 EDT
I've committed the fix for this bug in the IcedTea 6 repository. Will close this
once it's in rawhide.

Note You need to log in before you can comment on or make changes to this bug.